package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractCreateOtherContractsFacadeControllerBean extends AbstractBizControllerBean implements CreateOtherContractsFacadeController
{
    protected AbstractCreateOtherContractsFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("3775A52D");
    }

    public void createContracts(Context ctx, String confirmationBillIds, int leadDays, String startDate, String endDate) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("dc09945b-d230-406f-b220-a0cd4ebb93d2"), new Object[]{ctx, confirmationBillIds, new Integer(leadDays), startDate, endDate});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _createContracts(ctx, confirmationBillIds, leadDays, startDate, endDate);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _createContracts(Context ctx, String confirmationBillIds, int leadDays, String startDate, String endDate) throws BOSException
    {    	
        return;
    }

}